## org.mortbay.html
Class List

    java.lang.Object
      |
      +--org.mortbay.html.Element
            |
            +--org.mortbay.html.Composite
                  |
                  +--org.mortbay.html.Block
                        |
                        +--org.mortbay.html.List

public class List
extends Block

HTML List Block. Each Element added to the List (which is a Composite) is treated as a new List Item.

See Also:
  `Block`

Field Summary
`static java.lang.String` `Directory`
`static java.lang.String` `Menu`
`static java.lang.String` `Ordered`
`static java.lang.String` `Unordered`

Fields inherited from class org.mortbay.html.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class org.mortbay.html.Element
`ALIGN, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`List(java.lang.String type)`

Method Summary
`Composite` `add(java.lang.Object o)` Add an Object to the Composite by converting it to a Element or.
`Composite` `newItem()`

Methods inherited from class org.mortbay.html.Block
`write`

Methods inherited from class org.mortbay.html.Composite
`contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Unordered

    public static final java.lang.String Unordered

See Also:
  Constant Field Values

### Ordered

    public static final java.lang.String Ordered

See Also:
  Constant Field Values

### Menu

    public static final java.lang.String Menu

See Also:
  Constant Field Values

### Directory

    public static final java.lang.String Directory

See Also:
  Constant Field Values

Constructor Detail

### List

    public List(java.lang.String type)

Method Detail

### add

    public Composite add(java.lang.Object o)

  Description copied from class: `Composite`
  Add an Object to the Composite by converting it to a Element or. String

  Overrides:
    `add` in class `Composite`
  Parameters:
    `o` - The item
  Returns:
    This List.

### newItem

    public Composite newItem()

  Returns:
    The new Item composite

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.